OD_obj_record_t Struct Reference
CANopen_301 » OD interface » OD definition objects

Object for OD sub-elements, used in "RECORD" type OD objects. More...

`#include <CO_ODinterface.h>`

## Data Fields

void * | data
| Pointer to data.
uint8_t | subIndex
| Sub index of element.
OD_attr_t | attribute
| Attribute bitfield, see OD_attributes_t.
OD_size_t | dataLength
| Data length in bytes.

## Detailed Description

Object for OD sub-elements, used in "RECORD" type OD objects.

The documentation for this struct was generated from the following file:

- 301/CO_ODinterface.h